com::lomiri::location::service::Skeleton Class Reference

`#include <skeleton.h>`

Inheritance diagram for com::lomiri::location::service::Skeleton:
Collaboration diagram for com::lomiri::location::service::Skeleton:

## Classes

struct | CredentialsResolver
struct | DBusDaemonCredentialsResolver
struct | ObjectPathGenerator
struct | Configuration

## Public Types

typedef std::shared_ptr< Skeleton > | Ptr

## Public Member Functions

| Skeleton (const Configuration &configuration)
| ~Skeleton () noexcept
const core::Property< State > & | state () const
core::Property< bool > & | does_satellite_based_positioning ()
core::Property< bool > & | does_report_cell_and_wifi_ids ()
core::Property< bool > & | is_online ()
core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & | visible_space_vehicles ()
core::Property< std::vector< std::string > > & | client_applications ()

## Protected Member Functions

core::Property< State > & | mutable_state ()

## Detailed Description

Definition at line 43 of file service/skeleton.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<Skeleton> com::lomiri::location::service::Skeleton::Ptr

Definition at line 48 of file service/skeleton.h.

## Constructor & Destructor Documentation

## Skeleton()

com::lomiri::location::service::Skeleton::Skeleton | ( | const Configuration & | configuration | ) |

## ~Skeleton()

com::lomiri::location::service::Skeleton::~Skeleton | ( |  | ) |

noexcept

## Member Function Documentation

## client_applications()

core::Property< std::vector< std::string > > & com::lomiri::location::service::Skeleton::client_applications | ( |  | ) |

References client_applications.

## does_report_cell_and_wifi_ids()

core::Property< bool > & com::lomiri::location::service::Skeleton::does_report_cell_and_wifi_ids | ( |  | ) |

References does_report_cell_and_wifi_ids.

## does_satellite_based_positioning()

core::Property< bool > & com::lomiri::location::service::Skeleton::does_satellite_based_positioning | ( |  | ) |

References does_satellite_based_positioning.

## is_online()

core::Property< bool > & com::lomiri::location::service::Skeleton::is_online | ( |  | ) |

References is_online.

## mutable_state()

core::Property< State > & com::lomiri::location::service::Skeleton::mutable_state | ( |  | ) |

protected

References mutable_state(), and state.

Referenced by mutable_state().

Here is the call graph for this function:

## state()

const core::Property< State > & com::lomiri::location::service::Skeleton::state | ( |  | ) | const

References state.

## visible_space_vehicles()

core::Property< std::map< SpaceVehicle::Key, SpaceVehicle > > & com::lomiri::location::service::Skeleton::visible_space_vehicles | ( |  | ) |

References visible_space_vehicles.

## Member Data Documentation

## client_applications [1/2]

core::ScopedConnection com::lomiri::location::service::Skeleton::client_applications

Definition at line 194 of file service/skeleton.h.

## client_applications [2/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::ClientApplications> > com::lomiri::location::service::Skeleton::client_applications

Definition at line 185 of file service/skeleton.h.

Referenced by client_applications().

## does_report_cell_and_wifi_ids [1/2]

core::ScopedConnection com::lomiri::location::service::Skeleton::does_report_cell_and_wifi_ids

Definition at line 192 of file service/skeleton.h.

## does_report_cell_and_wifi_ids [2/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::DoesReportCellAndWifiIds> > com::lomiri::location::service::Skeleton::does_report_cell_and_wifi_ids

Definition at line 182 of file service/skeleton.h.

Referenced by does_report_cell_and_wifi_ids().

## does_satellite_based_positioning [1/2]

core::ScopedConnection com::lomiri::location::service::Skeleton::does_satellite_based_positioning

Definition at line 191 of file service/skeleton.h.

## does_satellite_based_positioning [2/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::DoesSatelliteBasedPositioning> > com::lomiri::location::service::Skeleton::does_satellite_based_positioning

Definition at line 181 of file service/skeleton.h.

Referenced by does_satellite_based_positioning().

## is_online [1/2]

core::ScopedConnection com::lomiri::location::service::Skeleton::is_online

Definition at line 193 of file service/skeleton.h.

## is_online [2/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::IsOnline> > com::lomiri::location::service::Skeleton::is_online

Definition at line 183 of file service/skeleton.h.

Referenced by is_online().

## state [1/2]

core::ScopedConnection com::lomiri::location::service::Skeleton::state

Definition at line 190 of file service/skeleton.h.

## state [2/2]

std::shared_ptr< core::dbus::Property<Interface::Properties::State> > com::lomiri::location::service::Skeleton::state

Definition at line 180 of file service/skeleton.h.

Referenced by mutable_state(), and state().

## visible_space_vehicles

std::shared_ptr< core::dbus::Property<Interface::Properties::VisibleSpaceVehicles> > com::lomiri::location::service::Skeleton::visible_space_vehicles

Definition at line 184 of file service/skeleton.h.

Referenced by visible_space_vehicles().

The documentation for this class was generated from the following file:

- service/skeleton.h